Summary:	Simple text editor forked from Leafpad, supports GTK+ 3.x
Name:		l3afpad
Version:	0.8.18.1.11
Release:	%mkrel 1.git20220214.3
License:	GPLv2+
Group:		Editors
URL:		https://www.calno.com/%{name}/
#Source0:	https://www.calno.com/%{name}/%{name}-%{version}.tar.xz
Source0:	https://github.com/stevenhoneyman/%{name}/archive/refs/heads/master.zip
BuildRequires:	gtk3-devel
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Provides:	leafpad
Obsoletes:	leafpad < 0.8.18.1-12

%description
L3afpad is a simple GTK+ text editor that emphasizes simplicity.
As development focuses on keeping weight down to a minimum, only
the most essential features are implemented in the editor.
L3afpad is simple to use, is easily compiled, requires few
libraries, and starts up quickly.

%prep
%setup -qn %{name}-master

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%find_lang %name

%files -f %name.lang
%doc README ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Thu Feb 09 2023 ns80 <ns80> 0.8.18.1.11-1.git20220214.3.mga9
+ Revision: 1939675
- rebuild for aging

* Mon Apr 04 2022 ns80 <ns80> 0.8.18.1.11-1.git20220214.2.mga9
+ Revision: 1843606
- replace leafpad

* Sat Mar 26 2022 ns80 <ns80> 0.8.18.1.11-1.git20220214.1.mga9
+ Revision: 1828534
- imported package l3afpad

